var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
define(["require", "exports", "./Partitions"], function (require, exports, Partitions_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    Partitions_1 = __importDefault(Partitions_1);
    class UnzippedPartitionsImplementation extends Partitions_1.default {
        constructor(stream, streamMapper) {
            super(stream.flatMap(), (value, index) => index % 2 ? "value" : "key", undefined, streamMapper);
            // initialize partitions for "key" and "value" so they appear in the `.partitions()` stream
            this.get("key");
            this.get("value");
        }
        keys() {
            return this.get("key");
        }
        values() {
            return this.get("value");
        }
    }
    const UnzippedPartitions = UnzippedPartitionsImplementation;
    exports.default = UnzippedPartitions;
});
