var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
define(["require", "exports", "../../util/Define"], function (require, exports, Define_1) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    Define_1 = __importDefault(Define_1);
    const originalAdd = Set.prototype.add;
    Define_1.default(Set.prototype, "addFrom", function (...iterables) {
        for (const iterable of iterables)
            for (const value of iterable)
                originalAdd.call(this, value);
        return this;
    });
    const originalDelete = Set.prototype.delete;
    Define_1.default(Set.prototype, "deleteFrom", function (...iterables) {
        let deleted = false;
        for (const iterable of iterables)
            for (const value of iterable)
                if (originalDelete.call(this, value))
                    deleted = true;
        return deleted;
    });
    Define_1.default(Set.prototype, "toggleFrom", function (has, ...iterables) {
        if (has)
            this.addFrom(...iterables);
        else
            this.deleteFrom(...iterables);
        return this;
    });
});
