define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    /**
     * Shuffles the contents of the given array using the Fisher-Yates Shuffle: https://bost.ocks.org/mike/shuffle/
     * @returns The given array after shuffling its contents.
     */
    function shuffle(arr, r = Math.random) {
        let currentIndex = arr.length;
        let temporaryValue;
        let randomIndex;
        while (0 !== currentIndex) {
            randomIndex = randomInt(r, currentIndex);
            currentIndex -= 1;
            temporaryValue = arr[currentIndex];
            arr[currentIndex] = arr[randomIndex];
            arr[randomIndex] = temporaryValue;
        }
        return arr;
    }
    exports.shuffle = shuffle;
    function tuple(...items) {
        return items;
    }
    exports.tuple = tuple;
    function choice(arr, r = Math.random) {
        return arr.length === 0 ? undefined : arr[randomInt(r, arr.length)];
    }
    exports.choice = choice;
    function randomInt(randomFunction, max) {
        return Math.floor(randomFunction() * max);
    }
});
