define(["require", "exports"], function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    function Define(proto, key, implementation) {
        try {
            Object.defineProperty(proto, key, {
                configurable: true,
                writable: true,
                value: implementation,
            });
        }
        catch (err) {
            console.error(`Unable to apply prototype ${proto.constructor.name}["${key}"]`, err);
        }
    }
    (function (Define) {
        function all(protos, key, implementation) {
            for (const proto of protos)
                Define(proto, key, implementation);
        }
        Define.all = all;
    })(Define || (Define = {}));
    exports.default = Define;
});
