"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const Stream_1 = __importDefault(require("../../Stream"));
const Define_1 = __importDefault(require("../../util/Define"));
Define_1.default(RegExp.prototype, "matches", function (string) {
    return Stream_1.default.iterators(new StreamableMatches(this, string));
});
class StreamableMatches {
    constructor(regex, str) {
        this.regex = regex;
        this.str = str;
        this.done = false;
    }
    next() {
        if (this.done)
            return this;
        const value = this.regex.exec(this.str);
        if (!value)
            this.done = true;
        else
            this.value = value;
        return this;
    }
}
