/*!
 * Copyright Unlok, Vaughn Royko 2011-2020
 * http://www.unlok.ca
 *
 * Credits & Thanks:
 * http://www.unlok.ca/credits-thanks/
 *
 * Wayward is a copyrighted and licensed work. Modification and/or distribution of any source files is prohibited. If you wish to modify the game in any way, please refer to the modding guide:
 * https://github.com/WaywardGame/types/wiki
 */
declare enum Interrupt {
    GameDialogMessagesEditFiltersSaveOverExisting = 0,
    GameDialogMessagesEditFiltersResetConfirm = 1,
    GameMessagesContextMenuClear = 2,
    GameCannotRun = 3,
    GameConfirmationActionOnFire = 4,
    GameConfirmationDestroyOnGather = 5,
    GameConfirmationDroppingContainer = 6,
    GameConfirmationRestWithEquippedFireSource = 7,
    GameContainerNotFull = 8,
    GameDangerousStep = 9,
    GameDesalinationNoNeed = 10,
    GameExtinguishWaterStill = 11,
    GameItemMayBeDestroyedInCraft = 12,
    GameItemMayCauseBurns = 13,
    GameItemsMayBeDestroyedOnUse = 14,
    GameLoadFailure = 15,
    GameLoadingAutoSaving = 16,
    GameLoadingFastForwarding = 17,
    GameLoadingFinalizingWorld = 18,
    GameLoadingGame = 19,
    GameLoadingGeneratingWorld = 20,
    GameLoadingLostGLContext = 21,
    GameLoadingMods = 22,
    GameLoadingMultiplayerPlayerConnecting = 23,
    GameLoadingMultiplayerSyncing = 24,
    GameLoadingQuitting = 25,
    GameLoadingReloadingWebGl = 26,
    GameLoadingResting = 27,
    GameLoadingSaving = 28,
    GameLoadingSleeping = 29,
    GameLoadingSprites = 30,
    GameLoadingItems = 31,
    GameLoadingTraveling = 32,
    GameLoadingTravelingMultiplayer = 33,
    GameLoadingWorld = 34,
    GameMultiplayerSynchronizing = 35,
    GameMultiplayerTravelVote = 36,
    GameNoHealingRequired = 37,
    GameNoSaveOnDeath = 38,
    GamePickUpStillWithWater = 39,
    GameReleaseCreature = 40,
    GameRenameCreature = 41,
    GameRenameDoodad = 42,
    GameRenameItem = 43,
    GameReturnToTitleScreen = 44,
    GameReturnToTitleScreenChallenge = 45,
    GameSailAwayEnd = 46,
    GameSailAwayReturnable = 47,
    GameSaveFailure = 48,
    GameStartModifiers = 49,
    GameTravelConfirmation = 50,
    GameWellConvert = 51,
    GameSolarStillWontWorkInTemperature = 52,
    GameSolarStillWontWorkInCave = 53,
    MenuChangelogLoadingChangelog = 54,
    MenuCharacterCreationImportCharacterFailure = 55,
    MenuCharacterSelectionDeleteCharacter = 56,
    MenuGameEndGhostDeleteSave = 57,
    MenuGameEndWonDeleteSave = 58,
    MenuGameEndDeleteSaveDescription = 59,
    MenuGameEndReturnToTitleScreen = 60,
    MenuGameEndReturnToTitleScreenChallengeMultiplayerDescription = 61,
    MenuGameEndReturnToTitleScreenChallengeDescription = 62,
    MenuGameEndReturnToTitleScreenMultiplayerDescription = 63,
    MenuLoadGameDeleteSave = 64,
    MenuLoadGameDeleteSaves = 65,
    MenuLoadGameLoadingExportingSave = 66,
    MenuLoadGameLoadingImportingSave = 67,
    MenuLoadGameLoadingImportingSaves = 68,
    MenuLoadGameImportSaveFailure = 69,
    MenuLoadGameImportSavesFailure = 70,
    MenuLoadGameExportType = 71,
    MenuLoadGamePublishingSave = 72,
    MenuLoadGameMissingMod = 73,
    MenuLoadGameLoading = 74,
    MenuLoadGamePublishError = 75,
    MenuMainLoadingNews = 76,
    MenuMainLoadingChangelog = 77,
    MenuMainWelcomeToVersion = 78,
    MenuMainOldVersionWarning = 79,
    MenuModsConfirmPublish = 80,
    MenuModsConfirmPublishUpdate = 81,
    MenuModsModEnableMultipleLanguages = 82,
    MenuModsModEnableUseLanguage = 83,
    MenuModsPublishedReminderRequiredModsOnWorkshop = 84,
    MenuModsPublishingMod = 85,
    MenuModsPublishError = 86,
    MenuModsUpdatingMod = 87,
    MenuModsPublishUpdateError = 88,
    MenuModsInfoMissingDependencies = 89,
    MenuModsConfirmEnableDisabledDependencies = 90,
    MenuModsConfirmDisableDependents = 91,
    MenuModsConfirmUninstallMod = 92,
    MenuModsUnloadableSaveGameMod = 93,
    MenuModsSubmenuEditInternalModsModsListChangeReload = 94,
    MenuMultiplayerCannotJoinFailedToLoadMods = 95,
    MenuNewGameTooManySaves = 96,
    MenuCustomGameOptionsConfirmImport = 97,
    MenuCustomGameOptionsLoadingImporting = 98,
    MenuCustomGameOptionsImportFailure = 99,
    MenuMilestoneModifiersConfirmImport = 100,
    MenuMilestoneModifiersLoadingImporting = 101,
    MenuMilestoneModifiersImportFailure = 102,
    MenuOptionsLoading = 103,
    MenuOptionsReloadGame = 104,
    MenuOptionsConfirmUnlockMilestones = 105,
    MenuOptionsConfirmUnlockRecipes = 106,
    MenuOptionsSaveDataClearAll = 107,
    MenuOptionsSaveDataClearCharacters = 108,
    MenuOptionsSaveDataClearHighscores = 109,
    MenuOptionsSaveDataClearMilestones = 110,
    MenuOptionsSaveDataClearOptions = 111,
    MenuOptionsSaveDataClearSaves = 112,
    MenuOptionsSaveDataClearCraftingRecipes = 113,
    MenuOptionsSaveDataClearBindings = 114,
    MenuOptionsConfirmImportGlobalData = 115,
    MenuOptionsLoadingImportingGlobalData = 116,
    MenuPauseGhostKeepSave = 117,
    MenuPauseReturnToTitleScreen = 118,
    MenuPauseReturnToTitleScreenChallengeDescription = 119,
    MenuPauseReturnToTitleScreenChallengeMultiplayerDescription = 120,
    MenuPauseReturnToTitleScreenMultiplayerDescription = 121,
    MultiplayerDownloadingWorldData = 122,
    MultiplayerWaitingForWorldData = 123,
    MultiplayerFailedToConnect = 124,
    MultiplayerConnecting = 125,
    MultiplayerRestartServerAfterLoadingSave = 126,
    MultiplayerDisconnect = 127,
    SteamworksURLOpenedInBrowser = 128,
    SteamworksWorkshopOpenedInBrowser = 129,
    SteamworksModWithNameAlreadyExists = 130,
    SteamworksModImportSaveGameFailure = 131,
    SteamworksModImportedSaveGame = 132,
    SteamworksLoadingRefreshingMods = 133,
    SteamworksOpenFolderFailure = 134,
    SteamworksModPublishModJsonUpdateFailed = 135
}
export default Interrupt;
