/*!
 * Copyright Unlok, Vaughn Royko 2011-2020
 * http://www.unlok.ca
 *
 * Credits & Thanks:
 * http://www.unlok.ca/credits-thanks/
 *
 * Wayward is a copyrighted and licensed work. Modification and/or distribution of any source files is prohibited. If you wish to modify the game in any way, please refer to the modding guide:
 * https://github.com/WaywardGame/types/wiki
 */
declare enum Message {
    None = 0,
    Aberrant = 1,
    AboutHours = 2,
    ActionAlterAltered = 3,
    ActionAlterFailed = 4,
    ActionAlterNotPossible = 5,
    ActionAttachContainerAlreadyHasContainer = 6,
    ActionAttachContainerAttachedContainer = 7,
    ActionAttachContainerAttachingContainer = 8,
    ActionAttachContainerCannotAttach = 9,
    ActionAttachContainerNothingToAttachContainerTo = 10,
    ActionCastAreaOverfished = 11,
    ActionConsumeItemTypeStats = 12,
    ActionCraft = 13,
    ActionCraftEfficacy = 14,
    ActionCraftEfficacyHigh = 15,
    ActionCraftEfficacyHighest = 16,
    ActionCraftEfficacyLow = 17,
    ActionCraftEfficacyLowest = 18,
    ActionCraftEfficacyMed = 19,
    ActionCraftEfficacyPercent = 20,
    ActionCraftYouLackTheRequirements = 21,
    ActionDetachContainerDetachContainer = 22,
    ActionDisassembleNoItemsSalvaged = 23,
    ActionDisassembleSalvaged = 24,
    ActionDismantleSeparated = 25,
    ActionEnhance = 26,
    ActionEnhanceEnhanced = 27,
    ActionEnhanceFailed = 28,
    ActionEnhanceNotPossible = 29,
    ActionFishingNothingBiting = 30,
    ActionFishingSlipped = 31,
    ActionFishingTooShallow = 32,
    ActionMeleeHasToBeEquipped = 33,
    ActionMeleeNothingToAttack = 34,
    ActionNavigateMoon = 35,
    ActionNavigateNotOverworld = 36,
    ActionNavigateSun = 37,
    ActionNavigateUseSextant = 38,
    ActionPetCreatureRefused = 39,
    ActionSailToCivilizationNotInsideBoat = 40,
    ActionTestDepthNothingToTest = 41,
    ActionTestDepthWell = 42,
    ActionUpgrade = 43,
    ActionUpgradeFailed = 44,
    ActionUpgradeNotMagical = 45,
    ActionUpgradeNotPossible = 46,
    ActionUpgradeUpgraded = 47,
    ActionUseItemWeaponNeeded = 48,
    ActionWith = 49,
    AddedFuelToFire = 50,
    AddedFuelToTorch = 51,
    AddToQuickslot = 52,
    AllEquipmentUnEquipped = 53,
    AlreadyDesalinatedWaterInStill = 54,
    AlreadyFullyRefined = 55,
    AlreadyFullyRepaired = 56,
    AlreadyPreserved = 57,
    Alter = 58,
    AnUnknownItem = 59,
    AppearedNotEffectiveForGathering = 60,
    AppearsToBeAberrant = 61,
    ArmorAppeared = 62,
    ArmorProtectedFromInjuryAgainst = 63,
    Attack = 64,
    AttemptedToDropAllIntoFire = 65,
    AttemptedToPlaceAllOnGround = 66,
    AttemptToSoothBurnInWater = 67,
    AttemptToTill = 68,
    BadlyBurnedLostHealth = 69,
    BarteringSkillsProvided = 70,
    BasedOnItSeems = 71,
    BeenPoisoned = 72,
    BeginSleeping = 73,
    BeginUsingBoat = 74,
    BestForCrafting = 75,
    BleedingHasStopped = 76,
    BleedingProfusely = 77,
    BleedingToDeathLostHealth = 78,
    BookBlank = 79,
    BookContains = 80,
    BookCrumbles = 81,
    BookDiagrams = 82,
    BookEmpty = 83,
    BookNothing = 84,
    BookOpen = 85,
    BookScribbles = 86,
    BothEffectiveIneffective = 87,
    BothHands = 88,
    BrokeIntoPieces = 89,
    BrokenOnImpact = 90,
    BrokenWhileFiring = 91,
    Build = 92,
    Burned = 93,
    CannotAddAnyMoreFuel = 94,
    CannotBePerformedOverWater = 95,
    CannotBePreserved = 96,
    CannotBeRefined = 97,
    CannotBeRefinedReinforcementNeeded = 98,
    CannotBeReinforced = 99,
    CannotBeRepaired = 100,
    CannotBeTamed = 101,
    CannotBuildHere = 102,
    CannotDoThatHere = 103,
    CannotDropHere = 104,
    CannotEquipThatThere = 105,
    CannotFishFor = 106,
    CannotHere = 107,
    CannotInWater = 108,
    CannotLeave = 109,
    CannotPickUpWhileLit = 110,
    CannotPickUpWithItemsInside = 111,
    CannotPlaceContainerInItself = 112,
    CannotPlaceHere = 113,
    CannotPlaceThatFromHere = 114,
    CannotPlaceThatHere = 115,
    CannotPlantHereTilled = 116,
    CannotRepairWhileLit = 117,
    CannotRestHere = 118,
    CannotSeeHere = 119,
    CannotSleepHere = 120,
    CannotStartFireHere = 121,
    CannotToTellTime = 122,
    CannotUseCommand = 123,
    CannotWhenProtected = 124,
    CannotWhenProtectedDangerousAction = 125,
    CarryingTooMuchWeight = 126,
    CarvedUpCorpse = 127,
    CarveWithTool = 128,
    Carving = 129,
    CastYourLine = 130,
    Category = 131,
    CaughtFish = 132,
    ChatBanCommand = 133,
    ChatBannedCommand = 134,
    ChatCommandsCommand = 135,
    ChatCommandsCommandCommand = 136,
    ChatPingCommand = 137,
    ChatPlayerMessage = 138,
    ChatPlayersCommand = 139,
    ChatServerMessage = 140,
    ChatUnbanCommand = 141,
    ChatUnknownCommand = 142,
    ClearedBlood = 143,
    ClearMessages = 144,
    Clockwise = 145,
    CloseContainer = 146,
    CloseDoor = 147,
    CloseToBeingDestroyed = 148,
    CollectObjectWithHands = 149,
    Consumed = 150,
    Container = 151,
    CopiedMap = 152,
    CopySelectedText = 153,
    CopyX = 154,
    CorpseOf = 155,
    CorpseOfNamed = 156,
    CouldNotDecipher = 157,
    Counterclockwise = 158,
    Craft = 159,
    Crafted = 160,
    Crafts = 161,
    CreatureAngered = 162,
    CreatureAppears = 163,
    CreatureAppeased = 164,
    CreatureExcrement = 165,
    CreatureHappinessHigh = 166,
    CreatureHappinessLow = 167,
    CreatureHappinessLowest = 168,
    CreatureHappinessNormal = 169,
    CreatureIdolAttractedCreature = 170,
    CreatureUntamed = 171,
    CuredYourPoison = 172,
    Cut = 173,
    DamageAppeared = 174,
    DamagedByPouring = 175,
    DayQuarter1 = 176,
    DayQuarter2 = 177,
    DayQuarter3 = 178,
    DayQuarter4 = 179,
    DealtNoDamageToYou = 180,
    DeathBy = 181,
    DeathByBleeding = 182,
    DeathByBurning = 183,
    DeathByChallengeWinner = 184,
    DeathByConsumption = 185,
    DeathByDrowning = 186,
    DeathByExhaustion = 187,
    DeathByFistByPlayer = 188,
    DeathByFrostbite = 189,
    DeathByPoison = 190,
    DeathBySteppingOn = 191,
    DeathByTrap = 192,
    DeathByWeaponByPlayer = 193,
    Decay = 194,
    DestroyedFromUse = 195,
    DetachContainer = 196,
    Dexterity = 197,
    DexterityIncreasing = 198,
    DidNotSeemToBeHurting = 199,
    Dig = 200,
    DigAway = 201,
    Digging = 202,
    DigWithHands = 203,
    Disabled = 204,
    Disassemble = 205,
    DisassembleAction = 206,
    Disassembling = 207,
    DiscoveredCaveEntrance = 208,
    DiscoveredInTheBottle = 209,
    DiscoveredLavaPassage = 210,
    Dismantle = 211,
    DismantleAction = 212,
    DismantleLabel = 213,
    Dismantling = 214,
    DismantlingRequires = 215,
    DisplacedPuddles = 216,
    DoNotHaveTreasureMaps = 217,
    DoNotProduceAnyResources = 218,
    DoodadCauseStatus = 219,
    DoodadGroupTier = 220,
    DrewSurroundings = 221,
    Drink = 222,
    Drop = 223,
    DropAll = 224,
    DropAllOfSameQuality = 225,
    DroppedIntoDepths = 226,
    DroppedIntoFire = 227,
    DroppedIntoTheVoid = 228,
    DueToDehydration = 229,
    DueToStarvation = 230,
    DugTreasureOut = 231,
    DumpContentsOfContainerInInventory = 232,
    Durability = 233,
    DyingOfDehydration = 234,
    EarnedMilestone = 235,
    East = 236,
    EastNortheast = 237,
    EastSoutheast = 238,
    Effective = 239,
    Enabled = 240,
    Enchant = 241,
    EquipmentPreventedStatusEffects = 242,
    EquipTo = 243,
    ErrorHasOccured = 244,
    ExtinguishedFire = 245,
    ExtinguishedLightSource = 246,
    FailedToAddFuelToTorch = 247,
    FailedToCatchFish = 248,
    FailedToCauseDamage = 249,
    FailedToCauseYouDamage = 250,
    FailedToCopy = 251,
    FailedToDraw = 252,
    FailedToEnchant = 253,
    FailedToIgniteTorch = 254,
    FailedToPickLock = 255,
    FailedToPlant = 256,
    FailedToPreserve = 257,
    FailedToRefine = 258,
    FailedToReinforce = 259,
    FailedToRepair = 260,
    FailedToStartFire = 261,
    FailedToTame = 262,
    FailedToTransmogrify = 263,
    FeltBurningPainLostHealth = 264,
    FeltFrostbitePainLostHealth = 265,
    FewMinutes = 266,
    Filled = 267,
    FilledFrom = 268,
    FireAroundYouIsWarm = 269,
    FiredIntoObstacle = 270,
    FireOverflowed = 271,
    FireOverflowedFireElemental = 272,
    FireSource = 273,
    FishingWithNoBait = 274,
    FreshWater = 275,
    FromTheStill = 276,
    Fuel = 277,
    FuelIsRequired = 278,
    FullyDecodedMap = 279,
    GainedHealth = 280,
    GainedHunger = 281,
    GainedStamina = 282,
    GainedThirst = 283,
    GameHasBeenSavedIsTakingUpMB = 284,
    Gather = 285,
    GatherDestroy = 286,
    Gathering = 287,
    GatherWithHands = 288,
    GhostNoActions = 289,
    GhostOf = 290,
    GoatHasNoMilk = 291,
    GrabAll = 292,
    Group = 293,
    HackAway = 294,
    HandProtectionPreventedInjury = 295,
    HandsNotEffectiveForDigging = 296,
    Harvest = 297,
    Harvesting = 298,
    HarvestWithHands = 299,
    HasBeenHurtByATrap = 300,
    HasDecayed = 301,
    HasHitYouForDamage = 302,
    HasNoEffect = 303,
    HasSetTrapOffNoDamage = 304,
    HasSplit = 305,
    Help = 306,
    HelpGrow = 307,
    Here = 308,
    Hints = 309,
    HintsDisabled = 310,
    HintsEnabled = 311,
    Hitch = 312,
    HitchAttempt = 313,
    HitchCreature = 314,
    HitchDisabled = 315,
    HitchInUse = 316,
    HitForDamage = 317,
    HitYouForDamage = 318,
    Hour = 319,
    Hours = 320,
    HurtHandsHittingWithoutWeapons = 321,
    HurtHandsWithNoTool = 322,
    Ignite = 323,
    IgnitedTorch = 324,
    Ineffective = 325,
    InjuredFromTrap = 326,
    InNeedOfRepair = 327,
    InspectItem = 328,
    InteractingWithHasInjuredYouForDamage = 329,
    Inventory = 330,
    IsInTheWayOfPickingUp = 331,
    It = 332,
    ItAlsoReveals = 333,
    ItAlsoSeems = 334,
    ItContains = 335,
    ItemFromWater = 336,
    JoinedAServer = 337,
    Jump = 338,
    Killed = 339,
    KnowledgeHasIncreased = 340,
    LabelActionTier = 341,
    LabelAdditionalRequirements = 342,
    LabelAttackFromTactics = 343,
    LabelBase = 344,
    LabelCanIncrease = 345,
    LabelCraftingReputation = 346,
    LabelCraftingRequires = 347,
    LabelCraftingSkillReputation = 348,
    LabelDecay = 349,
    LabelDefense = 350,
    LabelDismantlingRequires = 351,
    LabelDurability = 352,
    LabelEquip = 353,
    LabelGrouping = 354,
    LabelHave = 355,
    LabelLeftHandAttack = 356,
    LabelLevel = 357,
    LabelLightSourceWhenLit = 358,
    LabelOnCure = 359,
    LabelOnDrink = 360,
    LabelOnEat = 361,
    LabelOnEquip = 362,
    LabelOnHeal = 363,
    LabelOnOtherHeal = 364,
    LabelPreservationRate = 365,
    LabelProtected = 366,
    LabelRange = 367,
    LabelRanged = 368,
    LabelRangedAttack = 369,
    LabelRangedDamage = 370,
    LabelReputationImpact = 371,
    LabelResists = 372,
    LabelRightHandAttack = 373,
    LabelSkill = 374,
    LabelStokeFireStrength = 375,
    LabelThrowDamageType = 376,
    LabelTrapDamage = 377,
    LabelUse = 378,
    LabelUses = 379,
    LabelVulnerabilities = 380,
    LabelWeight = 381,
    LabelWeightCapacity = 382,
    LabelWeightReduction = 383,
    LabelWorth = 384,
    LastPlaceYouLeftOff = 385,
    LearnedHowToCreate = 386,
    LeftHand = 387,
    LikelyFailures = 388,
    Limited = 389,
    LostHealth = 390,
    LostHunger = 391,
    LostStamina = 392,
    LostThirst = 393,
    Magical = 394,
    MagicalItemDamage = 395,
    MapDestroyed = 396,
    MapNearlyDestroyed = 397,
    MapNotOfThisArea = 398,
    MaterialsDestroyed = 399,
    MerchantAlreadyTradedItem = 400,
    MessageOfTheDay = 401,
    Metabolism = 402,
    MetabolismSlowed = 403,
    Milk = 404,
    Milking = 405,
    MissedWith = 406,
    MissedYouWith = 407,
    MoveAllOfSameQualityToFacingContainer = 408,
    MoveAllOfSameQualityToInventory = 409,
    MoveAllOfSameQualityToLastOpenedContainer = 410,
    MoveAllOfSameQualityToOpenedContainer = 411,
    MoveAllToFacingContainer = 412,
    MoveAllToInventory = 413,
    MoveAllToLastOpenedContainer = 414,
    MoveAllToOpenedContainer = 415,
    MovedItem = 416,
    MoveOverTrapButDoNotSetOff = 417,
    MoveToFacingContainer = 418,
    MoveToInventory = 419,
    MoveToLastOpenedContainer = 420,
    MoveToOpenedContainer = 421,
    MultiplayerAlreadyVoting = 422,
    MultiplayerCannotStartAnotherVote = 423,
    MultiplayerGamePaused = 424,
    MultiplayerGameResumed = 425,
    MultiplayerPlayerConnected = 426,
    MultiplayerPlayerDied = 427,
    MultiplayerPlayerDisconnected = 428,
    MultiplayerPlayerJoined = 429,
    MultiplayerTravelVoteFailed = 430,
    MultiplayerTravelVotePlayersTooFar = 431,
    MustBeEquippedToIgnite = 432,
    Mysteriously = 433,
    Name = 434,
    NearlyBurnedEquipmentProtectedYou = 435,
    NeedFreeHandToShoot = 436,
    NeedToEquipToShoot = 437,
    NeedToStartTravelsOutside = 438,
    NeedWaterForBoat = 439,
    Negatively = 440,
    NightQuarter1 = 441,
    NightQuarter2 = 442,
    NightQuarter3 = 443,
    NightQuarter4 = 444,
    No = 445,
    NoAmmunitionForThatWeapon = 446,
    NoFireToStokeWith = 447,
    NoFishAtLocation = 448,
    NoGroundWater = 449,
    NoInkToDrawMap = 450,
    NoKindlingOrFuelItemsToStartFire = 451,
    NoKindlingToStartFire = 452,
    NoLongerFeelPainOfBeingBurned = 453,
    NoLongerFeelPainOfBeingFrostbitten = 454,
    NoLongerHostile = 455,
    NoMoreRoomInContainer = 456,
    NoPaperToDrawMap = 457,
    NoRequiredItemToFireWeapon = 458,
    NoReturnWithoutCompletingChallenges = 459,
    NoRoomForImprovement = 460,
    NoRoomToDrop = 461,
    North = 462,
    Northeast = 463,
    NorthNortheast = 464,
    NorthNorthwest = 465,
    Northwest = 466,
    NotAvailable = 467,
    NotEnoughPurifiedWaterYet = 468,
    NotEnoughTreasureToReturn = 469,
    NotFacingCreatureToOfferThisTo = 470,
    NotFacingLockedObject = 471,
    NotFacingOtherToHeal = 472,
    NotFacingValidItem = 473,
    NothingHereToCarve = 474,
    NothingHereToFill = 475,
    NothingHereToGrasp = 476,
    NothingToGetFromThis = 477,
    NothingToHarvestFromThisGather = 478,
    NothingToSmother = 479,
    NothingUsefulToHarvestYet = 480,
    NoTinderToStartFire = 481,
    NotSuitableToPlant = 482,
    NoWaterInStill = 483,
    NPCStartingDialog1 = 484,
    NPCStartingDialog2 = 485,
    NPCStartingDialog3 = 486,
    NPCStartingDialog4 = 487,
    NPCWelcome = 488,
    NPCWelcomeCredit = 489,
    NumberEight = 490,
    NumberFive = 491,
    NumberFour = 492,
    NumberNine = 493,
    NumberOne = 494,
    NumberSeven = 495,
    NumberSix = 496,
    NumberTen = 497,
    NumberThree = 498,
    NumberTwo = 499,
    ObjectIsLocked = 500,
    ObjectIsLockedAttemptToBreakIt = 501,
    Offer = 502,
    OfferAberrantFail = 503,
    OfferAberrantFailButTamed = 504,
    OpenDoor = 505,
    OverEatingLostStamina = 506,
    OverHydratingLostStamina = 507,
    Pack = 508,
    PaperTurnedToMush = 509,
    ParryTheBlow = 510,
    PartiallyDecodedMap = 511,
    PenultimateAnd = 512,
    Pet = 513,
    PetCreature = 514,
    PickAway = 515,
    PickupAllItems = 516,
    PickupItem = 517,
    Place = 518,
    PlacedOnGround = 519,
    Plant = 520,
    PlantCouldBeHarvested = 521,
    PlantedInGround = 522,
    PlantGatheringWillDestroy = 523,
    PlantHasResourcesToGather = 524,
    PlantHasResourcesToHarvest = 525,
    PlantHighlyFertile = 526,
    Planting = 527,
    PlantIsBare = 528,
    PlantIsFertile = 529,
    PlantIsInStage = 530,
    PlantIsNotFertile = 531,
    PlantNotReadyToHarvest = 532,
    PlantReadyToGather = 533,
    PlantReadyToGatherNotMaximal = 534,
    PlantReadyToHarvest = 535,
    PlantReadyToHarvestNotMaximal = 536,
    Player = 537,
    PlayerHasCompletedChallengeRequirement = 538,
    PlayerHasWonChallenge = 539,
    Poisoned = 540,
    PoisonedLostHealth = 541,
    PoisonWorkedItsCourse = 542,
    Positively = 543,
    PouredOut = 544,
    PouredOutOnYourself = 545,
    PouredWaterIntoStill = 546,
    PourHarmedPlant = 547,
    PourHealedPlant = 548,
    PourHealedPlantFully = 549,
    PourHealedPlantPartially = 550,
    PourIncreasedFertility = 551,
    Prepare = 552,
    Prepared = 553,
    Preserve = 554,
    PreservedFood = 555,
    PurifiedWaterInStill = 556,
    Quality = 557,
    Recent = 558,
    ReduceLength = 559,
    Refine = 560,
    RefusedToBeTamed = 561,
    Reinforce = 562,
    Release = 563,
    RemoveFromQuickslot = 564,
    Repair = 565,
    ReputationDecreased = 566,
    ReputationIncreased = 567,
    ReputationUpdate = 568,
    RequiredForDisassembleLabel = 569,
    RequiredForDisassembly = 570,
    RequiresFireToBeLit = 571,
    RequiresYouFacingFireSource = 572,
    RequiresYouToBeAround = 573,
    Resistant = 574,
    ResistOrVuln = 575,
    ResistOrVulnAll = 576,
    Rest = 577,
    Rested = 578,
    Resting = 579,
    RestingOnGroundNotEffective = 580,
    RestInterrupted = 581,
    RestInterruptedDamage = 582,
    RestInterruptedLoudNoise = 583,
    RestInterruptedPain = 584,
    RestInterruptedStirring = 585,
    RestLongTime = 586,
    RestModerateTime = 587,
    RestOnGround = 588,
    RestShortTime = 589,
    RestTime = 590,
    ReturnedToCivilization = 591,
    ReturningToCivilizationSetOffAgain = 592,
    ReturnsToLife = 593,
    Reveals = 594,
    RevealsEntityAppearsHurt = 595,
    RevealsEntityAppearsUnharmed = 596,
    RevealsEntityAppearsVeryHurt = 597,
    RevealsEntityIsAtPercentHealth = 598,
    RevealsEntityIsInjured = 599,
    RevealsEntityIsMostlyUninjured = 600,
    RevealsEntityIsOnTheVergeOfDeath = 601,
    RevealsEntityIsSeverelyInjured = 602,
    RevealsEntityIsUninjured = 603,
    RevealsEntitySeemsInjured = 604,
    RevealsEntitySeemsUninjured = 605,
    RevealsNumberOfResistancesAndVulnerabilities = 606,
    RevealsResistancesAndVulnerabilities = 607,
    RevealsSomeResistancesAndVulnerabilities = 608,
    Reverse = 609,
    RightHand = 610,
    ScrollMaster = 611,
    ScrollProvidedNoUsefulInsight = 612,
    Seawater = 613,
    SeemsToHaveDrawnEnergy = 614,
    SetTrapOffButNoDamage = 615,
    SetUp = 616,
    ShadowInTheWater = 617,
    Skill = 618,
    SkillHasRaised = 619,
    Skills = 620,
    Sleep = 621,
    Sleeping = 622,
    Slept = 623,
    SlitherSuckerConstricts = 624,
    SlitherSuckerJumpedOnHead = 625,
    SomethingInTheWayOf = 626,
    SomethingInTheWayOfCarveFirst = 627,
    SomethingInTheWayOfFire = 628,
    SomethingInTheWayOfFishing = 629,
    SomethingInTheWayOfPerforming = 630,
    SomethingInTheWayOfPlacing = 631,
    SomethingInTheWayOfPlanting = 632,
    SomethingInWayOfClosingDoor = 633,
    SoothedTheirBurnInjuries = 634,
    SoothedYourBurnInjuries = 635,
    Sort = 636,
    SortedByBestCraftingConsumables = 637,
    SortedByBestCraftingRequirements = 638,
    SortedByCategory = 639,
    SortedByDecay = 640,
    SortedByDurability = 641,
    SortedByGroup = 642,
    SortedByMagical = 643,
    SortedByName = 644,
    SortedByQuality = 645,
    SortedByRecent = 646,
    SortedBySkill = 647,
    SortedByUnlockedTime = 648,
    SortedByWeight = 649,
    SortedByWorth = 650,
    South = 651,
    Southeast = 652,
    SouthSoutheast = 653,
    SouthSouthwest = 654,
    Southwest = 655,
    StaminaIsFull = 656,
    StartedFire = 657,
    StartTravelInWater = 658,
    StarvingToDeath = 659,
    SteppingOn = 660,
    StillHasNoWaterToPurify = 661,
    StirredUpClawWorm = 662,
    StirredUpCreature = 663,
    StoppedYourBleeding = 664,
    StopUsingBoat = 665,
    Strength = 666,
    StrengthIncreasing = 667,
    SummonedGuardiansByDiggingTreasure = 668,
    SummonedGuardiansByLockpicking = 669,
    SummonVoidDwellerItem = 670,
    SummonVoidDwellerRinging = 671,
    SummonVoidDwellerShiver = 672,
    SunNotBrightEnoughToStartFire = 673,
    TakenFromGroundBecomeTamed = 674,
    Tame = 675,
    TamedCreature = 676,
    TeleportBlocked = 677,
    Teleported = 678,
    ThanksBuying = 679,
    ThanksSelling = 680,
    TheCreature = 681,
    TheirFist = 682,
    ThePlant = 683,
    ThereIsNoContainerOnTheStill = 684,
    ThereIsNoSunToStartFire = 685,
    ThereIsNothingToMilk = 686,
    ThisCannotBeMilked = 687,
    Throw = 688,
    ThrownIntoDepths = 689,
    ThrownIntoObstacle = 690,
    ThrownIntoVoid = 691,
    Tier = 692,
    TierGroup = 693,
    Till = 694,
    Tilling = 695,
    TimeIs = 696,
    TimeIsDawn = 697,
    TimeIsDaytime = 698,
    TimeIsDusk = 699,
    TimeIsNighttime = 700,
    TimeIsSunrise = 701,
    TimeIsSunset = 702,
    ToDamageAChest = 703,
    ToFight = 704,
    TooDamaged = 705,
    TooExhaustedToJump = 706,
    Touching = 707,
    TradeBarterCreditForItem = 708,
    TradeItemForBarterCredit = 709,
    TradingWith = 710,
    TrampledFire = 711,
    TrampledIntoGround = 712,
    TrampleIntoGround = 713,
    Trampling = 714,
    TransmogrificationNotPossible = 715,
    Transmogrified = 716,
    Transmogrify = 717,
    TrapMissed = 718,
    TrapStoppedYou = 719,
    TravelToFarOffLands = 720,
    TreasureIsBlocked = 721,
    UnEquip = 722,
    UnEquipAll = 723,
    Unhitch = 724,
    UnhitchCreature = 725,
    Unknown = 726,
    UnknownItem = 727,
    Unlimited = 728,
    UnlockedChest = 729,
    UnlockedTime = 730,
    UnpurifiedFreshWater = 731,
    UnpurifiedWaterInStill = 732,
    UsingBareHands = 733,
    Vulnerable = 734,
    WaitUntilFireCooledToGetWater = 735,
    Water = 736,
    WaterGathering = 737,
    WaterPutOutFire = 738,
    Weight = 739,
    WellIsDry = 740,
    WellIsFull = 741,
    West = 742,
    WestNorthwest = 743,
    WestSouthwest = 744,
    WildGoatRefusedToBeMilked = 745,
    WillNotTrade = 746,
    WithYouSee = 747,
    WorkingYourselfIntoExhaustion = 748,
    WorkingYourselfIntoExhaustionAndDrowning = 749,
    Worth = 750,
    You = 751,
    YouApplied = 752,
    YouAte = 753,
    YouBeginResting = 754,
    YouCannotDoThatYet = 755,
    YouCooledLava = 756,
    YouCrafted = 757,
    YouDied = 758,
    YouDoNotFindTreasureYet = 759,
    YouDrank = 760,
    YouDropTheTorch = 761,
    YouEnchant = 762,
    YouEquip = 763,
    YouFailedTo = 764,
    YouFailedToExtinguishedFireFully = 765,
    YouFailedToHeal = 766,
    YouFailedToHealOther = 767,
    YouFire = 768,
    YouGathered = 769,
    YouGatheredAndDropped = 770,
    YouHarvested = 771,
    YouHarvestedAndDropped = 772,
    YouHaveAlreadyLearned = 773,
    YouHaveDied = 774,
    YouHaveEnabledDisabled = 775,
    YouHaveHealedOther = 776,
    YouHaveKilled = 777,
    YouHaveReleased = 778,
    YouHaveTamed = 779,
    YouLostWhileTraveling = 780,
    YouNeedMoreCredit = 781,
    YouNeedXToY = 782,
    YouNoticeBecomeEnraged = 783,
    YouNoticeDying = 784,
    YouNoticeFertilityDecreasing = 785,
    YouNoticeFertilityIncreasing = 786,
    YouNoticeGrowing = 787,
    YouNoticeLavaCooling = 788,
    YouNoticeLavaHardening = 789,
    YouNoticePerish = 790,
    YouNoticeStumbleInjureItself = 791,
    YouNoticeTakeFromGround = 792,
    YouNoticeWoundsClosing = 793,
    YouNoticeZombieHorde = 794,
    YouOfferedToCreature = 795,
    YouOpen = 796,
    YouPacked = 797,
    YouPickedUp = 798,
    YouRefine = 799,
    YouReinforce = 800,
    YouRepair = 801,
    YourFist = 802,
    YourHands = 803,
    YourHighSkill = 804,
    YourInventory = 805,
    YourLowSkill = 806,
    YourModerateSkill = 807,
    YourRubbingNoEffect = 808,
    YouRub = 809,
    YouSee = 810,
    YouSeeALivingMushroomSpore = 811,
    YouSeeAnAberrant = 812,
    YouSeeASkeletonCollapse = 813,
    YouSeeASlimeCombine = 814,
    YouSeeAZombieBleeding = 815,
    YouSeeCoolDown = 816,
    YouSeeDrop = 817,
    YouSeeEngulfFire = 818,
    YouSeeFireSpread = 819,
    YouSeeHelpingPlant = 820,
    YouSeeLay = 821,
    YouSeeLayingTrap = 822,
    YouSeeSpewLava = 823,
    YouSeeSpitAcid = 824,
    YouSeeSpringForth = 825,
    YouSeeSummon = 826,
    YouSeeSwampFlood = 827,
    YouSeeTrampling = 828,
    YouSetTheTrapOff = 829,
    YouStokeTheFireElemental = 830,
    YouThrew = 831,
    YouTilled = 832,
    YouUnequip = 833,
    YouUsed = 834
}
export default Message;
