/*!
 * Copyright Unlok, Vaughn Royko 2011-2020
 * http://www.unlok.ca
 *
 * Credits & Thanks:
 * http://www.unlok.ca/credits-thanks/
 *
 * Wayward is a copyrighted and licensed work. Modification and/or distribution of any source files is prohibited. If you wish to modify the game in any way, please refer to the modding guide:
 * https://github.com/WaywardGame/types/wiki
 */
/**
 * Ui messages that are on elements that don't change
 */
declare enum UiTranslation {
    GameSharedInspectionSectionSummary = 0,
    GameActionGather = 1,
    GameStaticButtonRespawn = 2,
    GameDialogSharedContextMenuResetPosition = 3,
    GameDialogCraftingName = 4,
    GameDialogMessagesName = 5,
    GameDialogMessagesOptionTimestamp = 6,
    GameDialogMessagesOptionShowSendButton = 7,
    GameDialogMessagesOptionShowOptionsButton = 8,
    GameDialogMessagesOptionMaxMessages = 9,
    GameDialogMessagesOptionUnfocusOnSend = 10,
    GameDialogMessagesEditFiltersName = 11,
    GameDialogMessagesEditFiltersLabelName = 12,
    GameDialogMessagesEditFiltersButtonDelete = 13,
    GameDialogMessagesEditFiltersButtonSave = 14,
    GameDialogMessagesEditFiltersButtonReset = 15,
    GameDialogMessagesEditFiltersButtonNew = 16,
    GameDialogNotesName = 17,
    GameDialogNotesNoteTime = 18,
    GameDialogNotesNoteNumber = 19,
    GameDialogNotesNoteLockedTitle = 20,
    GameDialogNotesNoteLockedDescription = 21,
    GameDialogNotesLinkId = 22,
    GameDialogNotesLinkLearnMore = 23,
    GameDialogNotesSettingsPinUnreadNotesAutomatically = 24,
    GameDialogQuickSettingsName = 25,
    GameDialogMilestonesName = 26,
    GameDialogMilestonesInvisibleMilestone = 27,
    GameDialogMilestonesProgress = 28,
    GameDialogMilestonesProgressHidden = 29,
    GameDialogMilestonesMilestone = 30,
    GameDialogMilestonesTooltipHidden = 31,
    GameDialogMilestonesTooltipInvisible = 32,
    GameDialogMilestonesSortName = 33,
    GameDialogMilestonesSortProgress = 34,
    GameDialogSkillsName = 35,
    GameDialogSkillsSkill = 36,
    GameDialogSkillsSkillHover = 37,
    GameDialogSkillsSortName = 38,
    GameDialogSkillsSortLevel = 39,
    GameDialogBookName = 40,
    GameDialogInspectName = 41,
    GameDialogMoreInformationName = 42,
    GameDialogMoreInformationText = 43,
    GameDialogMoreInformationNoInformation = 44,
    GameDialogMapName = 45,
    GameDialogMapDurability = 46,
    GameDialogMapTooltipRiddle = 47,
    GameDialogMapTooltipRotateClockwise = 48,
    GameDialogMapTooltipRotateCounterClockwise = 49,
    GameDialogMapTooltipFlipHorizontal = 50,
    GameDialogMapTooltipFlipVertical = 51,
    GameDialogMapTooltipResetView = 52,
    GameDialogMapTooltipCopyMap = 53,
    GameDialogMapTooltipCopyMapRequirementMissing = 54,
    GameDialogMapCheckButtonAlwaysOpaque = 55,
    GameDialogMapCheckButtonUseOnlyIntegerZoomLevels = 56,
    GameDialogMapLabelTheme = 57,
    GameDialogQuestsName = 58,
    GameDialogQuestsLink = 59,
    GameDialogQuestsChildQuests = 60,
    GameDialogQuestsRequirements = 61,
    GameDialogQuestsActiveQuests = 62,
    GameDialogQuestsCompletedQuests = 63,
    GameDialogQuestsCompleteQuest = 64,
    GameTooltipInspect = 65,
    GameTooltipShowMoreInformation = 66,
    GameTooltipDefenseLabelBase = 67,
    GameTooltipDefenseInsulationWeight = 68,
    GameTooltipDefenseInsulationNotRequired = 69,
    GameTooltipItemUseLabelMaxWeight = 70,
    GameTooltipMagicalLabel = 71,
    GameTooltipSharedUsesLabel = 72,
    GameTooltipRecipeLabelReputation = 73,
    GameTooltipRecipeLabelSkill = 74,
    GameTooltipRecipeLabelLevel = 75,
    GameTooltipRecipeNearby = 76,
    GameTooltipRecipeFireSource = 77,
    GameTooltipRecipeRequirement = 78,
    GameTooltipRecipeLabelRequired = 79,
    GameTooltipRecipeLabelConsumed = 80,
    GameTooltipItemSkillSource = 81,
    GameTooltipItemUse = 82,
    GameTooltipItemUseActionOnConsumeTooltipBase = 83,
    GameTooltipItemUseActionOnConsumeTooltipSkill = 84,
    GameTooltipItemUseActionOnConsumeTooltipMagical = 85,
    GameTooltipSharedUseActionTierLabel = 86,
    GameTooltipItemUseActionSharedLabelRequirements = 87,
    GameTooltipItemUseActionDismantleProduces = 88,
    GameTooltipSharedUseLabelLightSource = 89,
    GameTooltipItemUseLabelTelescopy = 90,
    GameTooltipItemDecay = 91,
    GameTooltipItemDecayExact = 92,
    GameTooltipItemDecayRate = 93,
    GameTooltipItemDecayRateTooltip = 94,
    GameTooltipItemWeight = 95,
    GameTooltipItemWeightBase = 96,
    GameTooltipItemWeightStored = 97,
    GameTooltipItemWeightStoredReduction = 98,
    GameTooltipItemLabelRange = 99,
    GameTooltipItemMagicalSource = 100,
    GameTooltipItemGroupingsLabel = 101,
    GameTooltipItemGroup = 102,
    GameTooltipItemLabelUsesWhenBuilt = 103,
    GameTooltipItemWorth = 104,
    GameTooltipItemProtected = 105,
    GameTooltipItemProtectedContainer = 106,
    GameTooltipItemProtectedTooltip = 107,
    GameTooltipItemLabelDismantle = 108,
    GameTooltipItemLabelDismantleRequirement = 109,
    GameTooltipItemQuantityMultiplier = 110,
    GameTooltipItemUseAttack = 111,
    GameTooltipItemUseThrowDamage = 112,
    GameTooltipItemUseOffering = 113,
    GameTooltipItemUseEquipDefense = 114,
    GameTooltipItemUseEquipDefenseAttribute = 115,
    GameTooltipItemLabelDamage = 116,
    GameTooltipItemBarterCreditTrade = 117,
    GameTooltipItemBarterCredit = 118,
    GameTooltipSharedLabelWeightCapacity = 119,
    GameTooltipSharedLabelInsulation = 120,
    GameTooltipSharedLabelPreservation = 121,
    GameTooltipSharedLabelDurability = 122,
    GameTooltipSharedDurabilityMagicalDamageReduction = 123,
    GameTooltipSharedLabelContents = 124,
    GameTooltipSkillCurrent = 125,
    GameTooltipSkillReputationImpact = 126,
    GameTooltipSkillCanIncrease = 127,
    GameTooltipSkillBonuses = 128,
    GameTooltipSkillBonus = 129,
    GameTooltipMilestoneProgress = 130,
    GameTooltipMilestoneDiscovered = 131,
    GameTooltipSharedMagicalProperty = 132,
    GameTooltipSharedMagicalPropertyOutOf = 133,
    GameTooltipSharedLabel = 134,
    GameTooltipSharedLabelHead = 135,
    GameTooltipSharedLabelTail = 136,
    GameTooltipSharedLabelStart = 137,
    GameTooltipSharedLabelEnd = 138,
    GameStatsPercentage = 139,
    GameStatsStatAttack = 140,
    GameStatsStatGeneric = 141,
    GameStatsStatGenericWithMax = 142,
    GameStatsStatbar = 143,
    GameStatsStatHealthTooltip = 144,
    GameStatsStatStaminaTooltip = 145,
    GameStatsStatHungerTooltip = 146,
    GameStatsStatThirstTooltip = 147,
    GameStatsStatHealthStatusWarning = 148,
    GameStatsStatStaminaStatusWarning = 149,
    GameStatsStatHungerStatusWarning = 150,
    GameStatsStatThirstStatusWarning = 151,
    GameStatsStatWeightStatusWarning = 152,
    GameStatsStatStaminaStatusBad = 153,
    GameStatsStatHungerStatusBad = 154,
    GameStatsStatThirstStatusBad = 155,
    GameStatsStatWeightStatusBad = 156,
    GameStatsStatReputationTooltipAverageReputation = 157,
    GameStatsStatReputationTooltipDifficulty = 158,
    GameStatsStatReputationTooltipDifficultyEasy = 159,
    GameStatsStatReputationTooltipDifficultyHard = 160,
    GameStatsStatReputationTooltipDifficultyInfantile = 161,
    GameStatsStatReputationTooltipDifficultyInsane = 162,
    GameStatsStatReputationTooltipDifficultyMedium = 163,
    GameStatsStatReputationTooltipDifficultyNightmare = 164,
    GameStatsStatReputationTooltipDifficultySimple = 165,
    GameStatsStatReputationTooltipDifficultyVeryEasy = 166,
    GameStatsStatReputationTooltipDifficultyVeryHard = 167,
    GameStatsStatReputationTooltipBenignity = 168,
    GameStatsStatReputationTooltipMalignity = 169,
    GameStatsStatReputationTooltipScore = 170,
    GameStatsStatReputationTooltipTurn = 171,
    GameStatsStatReputationTooltipTicks = 172,
    GameStatsStatWeightTooltip = 173,
    GameStatsStatAttackTooltipTactics = 174,
    GameStatsStatAttackTooltipLeftHand = 175,
    GameStatsStatAttackTooltipRightHand = 176,
    GameStatsStatDefenseTooltipBase = 177,
    GameStatsStatDefenseTooltipBlunt = 178,
    GameStatsStatDefenseTooltipParrying = 179,
    GameStatsStatDefenseTooltipFire = 180,
    GameStatsStatDefenseTooltipCold = 181,
    GameStatsStatDefenseTooltipPiercing = 182,
    GameStatsStatDefenseTooltipSlashing = 183,
    GameItemBarterCredit = 184,
    GameMenuBarButtonTooltipBindable = 185,
    GameMenuBarButtonTooltipMenu = 186,
    GameMenuBarButtonTooltipSave = 187,
    GameMenuBarButtonTooltipSaveSize = 188,
    GameMenuBarButtonTooltipSaveTurnsAgo = 189,
    GameMenuBarButtonTooltipSaveLastTime = 190,
    GameMenuBarButtonTooltipNotes = 191,
    GameMenuBarButtonTooltipNotesUnread = 192,
    GameMenuBarButtonTooltipMilestones = 193,
    GameMenuBarButtonTooltipMilestonesDisabled = 194,
    GameMenuBarButtonTooltipMessages = 195,
    GameMenuBarButtonTooltipHelp = 196,
    GameMenuBarButtonTooltipQuickSettings = 197,
    GameMenuBarButtonTooltipActions = 198,
    GameMenuBarButtonTooltipInventory = 199,
    GameMenuBarButtonTooltipCrafting = 200,
    GameMenuBarButtonTooltipEquipment = 201,
    GameMenuBarButtonTooltipSkills = 202,
    GameMenuBarButtonTooltipQuests = 203,
    GameMenuBarButtonTooltipQuestsDisabled = 204,
    GameMessagesButtonSend = 205,
    GameMessagesContextMenuShowAsDialog = 206,
    GameMessagesContextMenuClear = 207,
    GameMessagesContextMenuCopy = 208,
    GameMessagesContextMenuExport = 209,
    GameMessagesFilter = 210,
    GameMessagesFiltersEdit = 211,
    GameMessagesNewNote = 212,
    GameMessagesTurn = 213,
    GameMessagesDedicatedServerBackup = 214,
    GameMessagesDedicatedServerBackupLimitReached = 215,
    GameTileInspectionCannotSeeTile = 216,
    MenuAboutTitle = 217,
    MenuAboutDescription = 218,
    MenuAboutGameDescription = 219,
    MenuAboutSectionTeam = 220,
    MenuAboutTeamMemberResponsibilities = 221,
    MenuAboutTeamMemberName = 222,
    MenuAboutTeamMemberNickname = 223,
    MenuAboutSectionContributors = 224,
    MenuAboutSectionSpecialThanks = 225,
    MenuAboutTextSpecialThanksTestorsAndDonators = 226,
    MenuAboutSectionLibraries = 227,
    MenuAboutSectionLibrariesDescription = 228,
    MenuBindings = 229,
    MenuBindingsDescription = 230,
    MenuBindingsTooltipBindConflicts = 231,
    MenuChangelogTitle = 232,
    MenuChangelogDescription = 233,
    MenuChangelogHeadingFailedLoad = 234,
    MenuChangelogHeadingChangeCount = 235,
    MenuChangelogButtonCopyChangelog = 236,
    MenuCharacterCreationButtonRandomizeName = 237,
    MenuCharacterCreationButtonExportTooltip = 238,
    MenuCharacterCreationButtonImportTooltip = 239,
    MenuCharacterCreationButtonStartGame = 240,
    MenuCharacterCreationButtonJoinGame = 241,
    MenuCharacterCreationDescription = 242,
    MenuCharacterCreationHeadingHairColor = 243,
    MenuCharacterCreationHeadingHairStyle = 244,
    MenuCharacterCreationHeadingSkinTone = 245,
    MenuCharacterCreationLabelName = 246,
    MenuCharacterCreationTitle = 247,
    MenuCharacterCreationButtonRotateLeftTooltip = 248,
    MenuCharacterCreationButtonRotateRightTooltip = 249,
    MenuCharacterCreationButtonRandomizeTooltip = 250,
    MenuCharacterSelectionButtonNewCharacter = 251,
    MenuCharacterSelectionDescription = 252,
    MenuCharacterSelectionHeadingNoCharacters = 253,
    MenuCharacterSelectionTitle = 254,
    MenuCharacterSelectionLabelLastUse = 255,
    MenuCharacterSelectionLabelUseCount = 256,
    MenuCharacterSelectionCharacterButtonDeleteTooltip = 257,
    MenuCharacterSelectionCharacterButtonCustomizeTooltip = 258,
    MenuMultiplayerDescription = 259,
    MenuMultiplayerTitle = 260,
    MenuMultiplayerButtonJoinById = 261,
    MenuMultiplayerServerLabelReputation = 262,
    MenuMultiplayerServerLabelDays = 263,
    MenuMultiplayerServerLabelIsland = 264,
    MenuMultiplayerButtonNewGame = 265,
    MenuMultiplayerButtonLoadGame = 266,
    MenuMultiplayerServerTooltipPVP = 267,
    MenuMultiplayerServerTooltipModsLabel = 268,
    MenuMultiplayerServerTooltipFriendsLabel = 269,
    MenuMultiplayerServerPlayers = 270,
    MenuMultiplayerServerLobbyType = 271,
    MenuMultiplayerServerRegion = 272,
    MenuMultiplayerServerHost = 273,
    MenuMultiplayerServerVersion = 274,
    MenuMultiplayerServerVersionUnknown = 275,
    MenuMultiplayerServerDedicated = 276,
    MenuMultiplayerHeadingPlayersOnline = 277,
    MenuMultiplayerServerModUnableToLoad = 278,
    MenuGameEndTitleDead = 279,
    MenuGameEndTitleWon = 280,
    MenuGameEndShareFacebook = 281,
    MenuGameEndShareTwitter = 282,
    MenuGameEndContinueAsGhost = 283,
    MenuGameEndReturnToIsland = 284,
    MenuGameEndExitToMenu = 285,
    MenuHelpTitle = 286,
    MenuHelpDescription = 287,
    MenuHelpLabelSearch = 288,
    MenuHighscoresTitle = 289,
    MenuHighscoresDescription = 290,
    MenuHighscoresDifficultyFilterAll = 291,
    MenuHighscoresHighscoreLabelDifficulty = 292,
    MenuHighscoresHighscoreLabelTurns = 293,
    MenuHighscoresHighscoreLabelScore = 294,
    MenuHighscoresHighscoreLabelPlace = 295,
    MenuHighscoresHighscoreLabelDate = 296,
    MenuHighscoresHighscoreLabelDeathBy = 297,
    MenuHighscoresHighscoreTitle = 298,
    MenuHighscoresCharacterNameUnknown = 299,
    MenuHighscoresHighscoreReplayWithSettings = 300,
    MenuLoadGameButtonNewGame = 301,
    MenuLoadGameButtonNewGameButtonImportTooltip = 302,
    MenuLoadGameDescription = 303,
    MenuLoadGameSaveButtonDeleteTooltip = 304,
    MenuLoadGameSaveButtonEditNameTooltip = 305,
    MenuLoadGameSaveButtonExportTooltip = 306,
    MenuLoadGameSaveTooltipLabelCreatedTime = 307,
    MenuLoadGameSaveTooltipLabelSaveTime = 308,
    MenuLoadGameSaveTooltipLabelGameMode = 309,
    MenuLoadGameSaveTooltipLabelScore = 310,
    MenuLoadGameSaveTooltipLabelSeed = 311,
    MenuLoadGameSaveTooltipLabelTurns = 312,
    MenuLoadGameSaveTooltipLabelMods = 313,
    MenuLoadGameSaveTooltipLabelOriginalVersion = 314,
    MenuLoadGameSaveTooltipMod = 315,
    MenuLoadGameSaveTooltipNew = 316,
    MenuLoadGameSlotsRemaining = 317,
    MenuLoadGameSaveGame = 318,
    MenuLoadGameSaveGameDescription = 319,
    MenuLoadGameTitle = 320,
    MenuLoadGameLabelSelected = 321,
    MenuLoadGameButtonDeleteSelectedTooltip = 322,
    MenuMainButtonAbout = 323,
    MenuMainButtonChangelog = 324,
    MenuMainButtonContinueGame = 325,
    MenuMainButtonMultiplayer = 326,
    MenuMainButtonHighscores = 327,
    MenuMainButtonLoadGame = 328,
    MenuMainButtonMods = 329,
    MenuMainButtonModsAllDisabled = 330,
    MenuMainButtonNewGame = 331,
    MenuMainButtonNews = 332,
    MenuMainButtonOptions = 333,
    MenuMainButtonQuitGame = 334,
    MenuModsButtonModdingGuide = 335,
    MenuModsButtonOpenFolder = 336,
    MenuModsButtonOpenWorkshop = 337,
    MenuModsDescription = 338,
    MenuModsTitle = 339,
    MenuModsTooltipLabelAuthor = 340,
    MenuModsTooltipLabelTags = 341,
    MenuModsTooltipLabelDependencies = 342,
    MenuModsTooltipLabelProvides = 343,
    MenuModsTooltipLabelVersion = 344,
    MenuModsTooltipLabelDescription = 345,
    MenuModsTooltipLabelInstallDate = 346,
    MenuModsTooltipLabelCreatedDate = 347,
    MenuModsTooltipLabelLastUpdatedDate = 348,
    MenuModsTooltipPreventsMilestoneUnlocks = 349,
    MenuModsTooltipModOptions = 350,
    MenuModsTooltipPublishMod = 351,
    MenuModsTooltipModMoreInformation = 352,
    MenuModsTooltipUninstallMod = 353,
    MenuModsTooltipViewInSteamWorkshop = 354,
    MenuModsTooltipViewGitHub = 355,
    MenuModsTooltipOpenFolder = 356,
    MenuModsButtonEditInternalMods = 357,
    MenuModsSectionHeading = 358,
    MenuModsSubmenuEditInternalModsTitle = 359,
    MenuModsSubmenuEditInternalModsDescription = 360,
    MenuModsSubmenuEditInternalModsPlaceholderAddNewInternalMod = 361,
    MenuNewGameButtonNext = 362,
    MenuNewGameButtonStartServer = 363,
    MenuNewGameDescription = 364,
    MenuNewGameLabelEditName = 365,
    MenuNewGameLabelEditSeed = 366,
    MenuNewGamePlaceholderEditSeed = 367,
    MenuNewGameTitle = 368,
    MenuNewGameChoiceDifficulty = 369,
    MenuNewGameChoiceSingleplayer = 370,
    MenuNewGameChoiceSingleplayerDescription = 371,
    MenuNewGameChoiceMultiplayer = 372,
    MenuNewGameChoiceMultiplayerDescription = 373,
    MenuNewGameChoiceTurnModeManual = 374,
    MenuNewGameChoiceTurnModeManualDescription = 375,
    MenuNewGameChoiceTurnModeRealTime = 376,
    MenuNewGameChoiceTurnModeRealTimeDescription = 377,
    MenuNewGameChoiceTurnModeSimulated = 378,
    MenuNewGameChoiceTurnModeSimulatedDescription = 379,
    MenuNewGameChoiceDifficultyTooltipMaxSaves = 380,
    MenuNewGameChoiceDifficultyTooltipCustomGameOptions = 381,
    MenuNewGameChoiceDifficultyChallengeDaily = 382,
    MenuNewGameChoiceDifficultyChallengeDailyTooltip = 383,
    MenuNewGameButtonMilestones = 384,
    MenuNewGameButtonMilestonesDescription = 385,
    MenuNewGameTabGameMode = 386,
    MenuNewGameTabMultiplayer = 387,
    MenuNewGameTabGameplayModifiers = 388,
    MenuNewGameHeadingGameMode = 389,
    MenuNewGameHeadingMultiplayer = 390,
    MenuNewGameHeadingGameplayModifiers = 391,
    MenuNewGameChoiceClientsInheritHostModifiers = 392,
    MenuNewGameChoiceClientsInheritHostModifiersDescription = 393,
    MenuNewGameChoiceCustomModifiers = 394,
    MenuNewGameChoiceCustomModifiersDescription = 395,
    MenuMilestoneModifiersTitle = 396,
    MenuMilestoneModifiersDescription = 397,
    MenuCustomGameOptionsTitle = 398,
    MenuCustomGameOptionsDescription = 399,
    MenuCustomGameOptionsRespawnOnDeath = 400,
    MenuCustomGameOptionsRespawnOnDeathDescription = 401,
    MenuCustomGameOptionsUseUnlockedRecipes = 402,
    MenuCustomGameOptionsStartingIslandBiome = 403,
    MenuCustomGameOptionsApplyTravelingEffects = 404,
    MenuCustomGameOptionsApplyTravelingEffectsDescription = 405,
    MenuCustomGameOptionsCreaturesPeaceful = 406,
    MenuCustomGameOptionsCreaturesPeacefulDescription = 407,
    MenuCustomGameOptionsCreaturesAberrantSpawns = 408,
    MenuCustomGameOptionsCreaturesAberrantSpawnsDescription = 409,
    MenuCustomGameOptionsCreaturesAberrantSpawnsDescriptionDefault = 410,
    MenuCustomGameOptionsCreaturesAberrantSpawnsDescriptionExclusively = 411,
    MenuCustomGameOptionsCreaturesAberrantSpawnsDescriptionOff = 412,
    MenuCustomGameOptionsCreaturesHeadingIndividualConfigurations = 413,
    MenuCustomGameOptionsCreaturesAllowAberrantSpawns = 414,
    MenuCustomGameOptionsCreaturesAllowSpawning = 415,
    MenuCustomGameOptionsCreaturesSpawnLimit = 416,
    MenuCustomGameOptionsCreaturesSpawnLimitDescription = 417,
    MenuCustomGameOptionsCreatureNone = 418,
    MenuCustomGameOptionsCreatureConfigure = 419,
    MenuCustomGameOptionsBenignityInitial = 420,
    MenuCustomGameOptionsBenignityMultiplier = 421,
    MenuCustomGameOptionsBenignityMultiplierTooltip = 422,
    MenuCustomGameOptionsMalignityInitial = 423,
    MenuCustomGameOptionsMalignityMultiplier = 424,
    MenuCustomGameOptionsMalignityMultiplierTooltip = 425,
    MenuCustomGameOptionsStatMultiplier = 426,
    MenuCustomGameOptionsStatMultiplierTooltip = 427,
    MenuCustomGameOptionsStatRegenerationMultiplierTooltip = 428,
    MenuCustomGameOptionsHeadingGeneral = 429,
    MenuCustomGameOptionsHeadingIsland = 430,
    MenuCustomGameOptionsHeadingTime = 431,
    MenuCustomGameOptionsHeadingStats = 432,
    MenuCustomGameOptionsHeadingReputation = 433,
    MenuCustomGameOptionsHeadingInventory = 434,
    MenuCustomGameOptionsHeadingCreatures = 435,
    MenuCustomGameOptionsHeadingSkills = 436,
    MenuCustomGameOptionsHeadingStatusEffects = 437,
    MenuCustomGameOptionsEternalNight = 438,
    MenuCustomGameOptionsEternalNightDescription = 439,
    MenuCustomGameOptionsEternalDay = 440,
    MenuCustomGameOptionsEternalDayDescription = 441,
    MenuCustomGameOptionsTimeFrozen = 442,
    MenuCustomGameOptionsTimeInitial = 443,
    MenuCustomGameOptionsTimeDayLength = 444,
    MenuCustomGameOptionsTimeDayLengthTooltip = 445,
    MenuCustomGameOptionsTimeDayPercent = 446,
    MenuCustomGameOptionsTimeDayPercentTooltip = 447,
    MenuCustomGameOptionsStatStarting = 448,
    MenuCustomGameOptionsStatMax = 449,
    MenuCustomGameOptionsStatStartingDisplay = 450,
    MenuCustomGameOptionsStatMaxDisplay = 451,
    MenuCustomGameOptionsStatNoChange = 452,
    MenuCustomGameOptionsStatBonus = 453,
    MenuCustomGameOptionsStatBonusDisplay = 454,
    MenuCustomGameOptionsStatusEffectPassChanceMultiplier = 455,
    MenuCustomGameOptionsStatusEffectPassChanceMultiplierTooltip = 456,
    MenuCustomGameOptionsStatusEffectStartWith = 457,
    MenuCustomGameOptionsStatusEffectUntreatable = 458,
    MenuCustomGameOptionsStatusEffectUntreatableTooltip = 459,
    MenuCustomGameOptionsSkillInitialRandomCount = 460,
    MenuCustomGameOptionsSkillInitialRandomCountDescription = 461,
    MenuCustomGameOptionsSkillsHeadingIndividualConfigurations = 462,
    MenuCustomGameOptionsSkillsGlobal = 463,
    MenuCustomGameOptionsSkillNone = 464,
    MenuCustomGameOptionsSkillConfigure = 465,
    MenuCustomGameOptionsSkillInitial = 466,
    MenuCustomGameOptionsSkillMultiplier = 467,
    MenuCustomGameOptionsSkillMultiplierTooltip = 468,
    MenuCustomGameOptionsRandomItems = 469,
    MenuCustomGameOptionsRandomItemsDescription = 470,
    MenuCustomGameOptionsExport = 471,
    MenuCustomGameOptionsImport = 472,
    MenuNewsDescription = 473,
    MenuNewsHeadingSocial = 474,
    MenuNewsTitle = 475,
    MenuNewsHeadingUnableToLoad = 476,
    MenuNewsButtonAllNews = 477,
    MenuNewsButtonViewChangelog = 478,
    MenuOptionsButtonDitherFogOfWar = 479,
    MenuOptionsButtonDisableCustomCursor = 480,
    MenuOptionsButtonDisplayArticleInObjectNames = 481,
    MenuOptionsButtonFullscreen = 482,
    MenuOptionsButtonDeveloperMode = 483,
    MenuOptionsButtonDeveloperModeContextMenu = 484,
    MenuOptionsButtonPixelFont = 485,
    MenuOptionsButtonReloadGame = 486,
    MenuOptionsButtonReloadStylesheets = 487,
    MenuOptionsButtonExportGlobalSaveData = 488,
    MenuOptionsButtonImportGlobalSaveData = 489,
    MenuOptionsButtonSaveDataBackups = 490,
    MenuOptionsButtonSaveDataBackupsTooltip = 491,
    MenuOptionsButtonSaveDataClearAll = 492,
    MenuOptionsButtonSaveDataClearCharacters = 493,
    MenuOptionsButtonSaveDataClearHighscores = 494,
    MenuOptionsButtonSaveDataClearMilestones = 495,
    MenuOptionsButtonSaveDataClearOptions = 496,
    MenuOptionsButtonSaveDataClearCraftingRecipes = 497,
    MenuOptionsButtonSaveDataClearSaves = 498,
    MenuOptionsButtonSkipSplash = 499,
    MenuOptionsButtonToggleDevTools = 500,
    MenuOptionsButtonTooltipsCreatures = 501,
    MenuOptionsButtonOpenLogsFolder = 502,
    MenuOptionsButtonTooltipsDoodads = 503,
    MenuOptionsButtonTooltipsItems = 504,
    MenuOptionsButtonTooltipsTerrain = 505,
    MenuOptionsButtonDropLocationFacing = 506,
    MenuOptionsButtonDropLocationFeet = 507,
    MenuOptionsButtonStartTraceRecording = 508,
    MenuOptionsButtonStopTraceRecording = 509,
    MenuOptionsButtonTracingRecordingtTooltip = 510,
    MenuOptionsButtonDropLocationFeetWhenFacingBlocked = 511,
    MenuOptionsDescription = 512,
    MenuOptionsHeadingAudio = 513,
    MenuOptionsHeadingDeveloper = 514,
    MenuOptionsHeadingGameplayOptions = 515,
    MenuOptionsHeadingGeneralOptions = 516,
    MenuOptionsHeadingControls = 517,
    MenuOptionsHeadingLanguage = 518,
    MenuOptionsHeadingPowerPreference = 519,
    MenuOptionsHeadingModOptions = 520,
    MenuOptionsHeadingOther = 521,
    MenuOptionsHeadingSaveData = 522,
    MenuOptionsHeadingTooltips = 523,
    MenuOptionsHeadingTooltipsTile = 524,
    MenuOptionsHeadingVideo = 525,
    MenuOptionsLabelInterfaceScale = 526,
    MenuOptionsLabelTooltipDelay = 527,
    MenuOptionsLabelDirectionTurnDelay = 528,
    MenuOptionsLabelMouseTurnDelay = 529,
    MenuOptionsTooltipTurnDelay = 530,
    MenuOptionsTooltipMouseTurnDelay = 531,
    MenuOptionsTooltipUiScaleClamped = 532,
    MenuOptionsTooltipControlsFilter = 533,
    MenuOptionsLabelVolumeEffects = 534,
    MenuOptionsLabelVolumeMusic = 535,
    MenuOptionsTabAudio = 536,
    MenuOptionsTabDeveloper = 537,
    MenuOptionsTabGameplay = 538,
    MenuOptionsTabGeneral = 539,
    MenuOptionsTabControls = 540,
    MenuOptionsTabMods = 541,
    MenuOptionsTabSaveData = 542,
    MenuOptionsTabVideo = 543,
    MenuOptionsTitle = 544,
    MenuOptionsTooltipMusicNextTrack = 545,
    MenuOptionsBindChoose = 546,
    MenuOptionsBindChooseAdd = 547,
    MenuOptionsBindLabelModifier = 548,
    MenuOptionsBindButtonResetTooltip = 549,
    MenuOptionsBindButtonDeleteTooltip = 550,
    MenuOptionsBindButtonAddTooltip = 551,
    MenuOptionsBindButtonAddMacroTooltip = 552,
    MenuOptionsButtonUnlockAllMilestones = 553,
    MenuOptionsButtonUnlockAllCraftingRecipes = 554,
    MenuOptionsButtonAlternatingDirectionMovement = 555,
    MenuOptionsButtonAllowAlternatingDirectionMovementTooltip = 556,
    MenuOptionsButtonAlwaysShowMoreInformation = 557,
    MenuOptionsButtonAlwaysShowMoreInformationTooltip = 558,
    MenuOptionsButtonAutoGatherHarvest = 559,
    MenuOptionsButtonAutoGatherHarvestTooltip = 560,
    MenuOptionsButtonDisableUIEffects = 561,
    MenuOptionsButtonDisableUIEffectsTooltip = 562,
    MenuOptionsButtonAutoAttack = 563,
    MenuOptionsButtonAutoAttackTooltip = 564,
    MenuOptionsButtonAutoPickup = 565,
    MenuOptionsButtonAutoPickupTooltip = 566,
    MenuOptionsButtonAutoPickupOnIdle = 567,
    MenuOptionsButtonAutoPickupOnIdleTooltip = 568,
    MenuOptionsButtonDropOnDismantle = 569,
    MenuOptionsButtonDropOnDismantleTooltip = 570,
    MenuOptionsButtonDropOnGatherHarvest = 571,
    MenuOptionsButtonDropOnGatherHarvestTooltip = 572,
    MenuOptionsButtonKeepSortActive = 573,
    MenuOptionsButtonKeepSortActiveTooltip = 574,
    MenuOptionsButtonProtectCraftingItemContainers = 575,
    MenuOptionsButtonProtectCraftingItemsContainersTooltip = 576,
    MenuOptionsButtonProtectCraftingItemsInInventory = 577,
    MenuOptionsButtonProtectCraftingItemsInInventoryTooltip = 578,
    MenuOptionsButtonUseAdjacentContainers = 579,
    MenuOptionsButtonUseAdjacentContainersTooltip = 580,
    MenuOptionsButtonHideEquippedHeadgear = 581,
    MenuOptionsButtonHideEquippedHeadgearTooltip = 582,
    MenuOptionsButtonAutoSave = 583,
    MenuOptionsButtonAutoSaveTooltip = 584,
    MenuOptionsRangeAutoSaveTimerLabel = 585,
    MenuOptionsRangeAutoSaveTimerTurnsDisplay = 586,
    MenuOptionsRangeAutoSaveTimerTimeDisplay = 587,
    MenuOptionsButtonWarnOnDangerousActions = 588,
    MenuOptionsButtonWarnOnDangerousActionsTooltip = 589,
    MenuOptionsButtonWarnWhenBreakingItemsOnCraft = 590,
    MenuOptionsButtonWarnWhenBreakingItemsOnCraftTooltip = 591,
    MenuOptionsButtonWarnWhenBreakingItemsOnUse = 592,
    MenuOptionsButtonWarnWhenBreakingItemsOnUseTooltip = 593,
    MenuOptionsHeadingWarnWhenBreakingItems = 594,
    MenuOptionsButtonSaveDataClearBindings = 595,
    MenuOptionsTooltipDialogOpacity = 596,
    MenuOptionsLabelDialogOpacity = 597,
    MenuOptionsDeveloperLogSourceFilterHeading = 598,
    MenuOptionsDeveloperUIExperiments = 599,
    MenuOptionsDeveloperUIExperimentsDescription = 600,
    MenuOptionsAudioVolumeDisplay = 601,
    MenuOptionsAudioInputSoundOnTyping = 602,
    MenuOptionsMusicPlaylist = 603,
    MenuOptionsButtonConfigureBindings = 604,
    MenuPauseButtonContinue = 605,
    MenuPauseButtonOptions = 606,
    MenuPauseButtonModes = 607,
    MenuPauseButtonPaused = 608,
    MenuPauseButtonMultiplayer = 609,
    MenuPauseButtonTitleScreen = 610,
    MenuPauseButtonStopServer = 611,
    MenuPauseHeadingPaused = 612,
    MenuPauseParagraphPaused = 613,
    MenuPauseHeadingNotPaused = 614,
    MenuPauseParagraphNotPaused = 615,
    MenuPauseHeadingDedicatedServer = 616,
    MenuPauseParagraphDedicatedServer = 617,
    MenuModesTitle = 618,
    MenuModesDescription = 619,
    MenuMultiplayerOptionsTitle = 620,
    MenuMultiplayerOptionsDescription = 621,
    MenuMultiplayerOptionsOpenServer = 622,
    MenuMultiplayerOptionsOpenServerDescription = 623,
    MenuMultiplayerOptionsCopyGameCode = 624,
    MenuMultiplayerOptionsCopyGameCodeTooltip = 625,
    MenuMultiplayerOptionsInviteSteamFriends = 626,
    MenuMultiplayerOptionsCheckConnectionHeading = 627,
    MenuMultiplayerOptionsCheckConnectionParagraph = 628,
    MenuMultiplayerOptionsCheckConnectionButton = 629,
    MenuMultiplayerOptionsCheckConnectionResultUnknown = 630,
    MenuMultiplayerOptionsCheckConnectionResultChecking = 631,
    MenuMultiplayerOptionsCheckConnectionResultSteamRelayNetwork = 632,
    MenuMultiplayerOptionsCheckConnectionResultSteamRelayNetworkFail = 633,
    MenuMultiplayerOptionsCheckConnectionResultSteamRelayNetworkUnavailable = 634,
    MenuMultiplayerOptionsCheckConnectionResultWebRTC = 635,
    MenuMultiplayerOptionsCheckConnectionResultWebRTCFail = 636,
    MenuMultiplayerOptionsCheckConnectionResultWebSocket = 637,
    MenuMultiplayerOptionsCheckConnectionResultWebSocketFail = 638,
    MenuMultiplayerOptionsCheckConnectionResultWebSocketUnavailable = 639,
    MenuMultiplayerOptionsCheckConnectionResultSuccess = 640,
    MenuJoinServerTitle = 641,
    MenuJoinServerDescription = 642,
    MenuJoinServerInputPlaceholder = 643,
    MenuJoinServerNext = 644,
    MenuJoinServerChooseModifiersTitle = 645,
    MenuJoinServerChooseModifiersDescription = 646,
    MenuSharedMultiplayerChoiceLobbyTypeFriends = 647,
    MenuSharedMultiplayerChoiceLobbyTypeFriendsDescription = 648,
    MenuSharedMultiplayerChoiceLobbyTypePublic = 649,
    MenuSharedMultiplayerChoiceLobbyTypePublicDescription = 650,
    MenuSharedMultiplayerChoiceLobbyTypePrivate = 651,
    MenuSharedMultiplayerChoiceLobbyTypePrivateDescription = 652,
    MenuSharedMultiplayerChoicePVP = 653,
    MenuSharedMultiplayerChoicePVPDescription = 654,
    MenuSharedMultiplayerDescription = 655,
    MenuSharedMultiplayerMessageOfTheDay = 656,
    MenuSharedMultiplayerMaxPlayers = 657,
    MenuSharedRealTimeTickSpeedTooltip = 658,
    MenuSharedRealTimeTickSpeedLabel = 659,
    MenuSharedButtonDefault = 660,
    MenuSharedValueMillseconds = 661,
    MenuSharedValuePercentage = 662,
    MenuSharedMilestonesNotUnlockable = 663,
    MenuSharedMilestonesNotUnlockableDescription = 664,
    MenuSharedMilestonesNotUnlockableButtonShowMods = 665,
    MenuSharedButtonDisableAll = 666,
    MenuSharedButtonEnableAll = 667,
    MenuSharedMilestoneModifiersSelected = 668,
    MiscSortBy = 669,
    MiscSortDirection = 670,
    MiscFilter = 671,
    MiscPlayerNameDefault = 672,
    MiscPlayerNameServer = 673,
    MiscSaveNameDefault = 674,
    MiscSaveNameDailyChallenge = 675,
    MiscSaveNameChallenge = 676,
    MiscSaveVersionUnknown = 677,
    MiscVersion = 678,
    MiscTime = 679,
    MiscTimeMeridiem = 680,
    MiscError = 681,
    MiscContextMenuCopyTooltip = 682,
    MiscBindableOr = 683,
    MiscBindableNoBindings = 684,
    DifficultyOptionsPeaceful = 685,
    DifficultyOptionsAberrantSpawnsDisabled = 686,
    DifficultyOptionsAberrantSpawnsOnly = 687,
    DifficultyOptionsCreatureSpawningDisabled = 688,
    DifficultyOptionsCreatureSpawnsDefault = 689,
    DifficultyOptionsCreatureSpawnsAberrantOnly = 690,
    DifficultyOptionsCreatureSpawnsNoAberrants = 691,
    DifficultyOptionsSpawnLimit = 692,
    DifficultyOptionsRespawn = 693,
    DifficultyOptionsEternalNight = 694,
    DifficultyOptionsEternalDay = 695,
    DifficultyOptionsTimeInitial = 696,
    DifficultyOptionsTimeFrozen = 697,
    DifficultyOptionsTimeDayLength = 698,
    DifficultyOptionsTimeDayPercent = 699,
    DifficultyOptionsNoItems = 700,
    DifficultyOptionsBenignityInitial = 701,
    DifficultyOptionsBenignityMultiplier = 702,
    DifficultyOptionsMalignityInitial = 703,
    DifficultyOptionsMalignityMultiplier = 704,
    DifficultyOptionsWeightBonus = 705,
    DifficultyOptionsStatInitial = 706,
    DifficultyOptionsStatMax = 707,
    DifficultyOptionsStatMultiplier = 708,
    DifficultyOptionsStatusEffectStartWith = 709,
    DifficultyOptionsStatusEffectUntreatable = 710,
    DifficultyOptionsStatusEffectPassChanceMultiplier = 711,
    DifficultyOptionsNoRandomSkills = 712,
    DifficultyOptionsSkillStartingCount = 713,
    DifficultyOptionsSkillGainMultiplier = 714,
    DifficultyOptionsSkillInitial = 715,
    DifficultyOptionsStatusEffectPermanent = 716,
    DifficultyOptionsStatusEffectRateMultiplier = 717,
    DifficultyOptionsStatusEffectMultiplier = 718,
    EquipmentBack = 719,
    EquipmentBelt = 720,
    EquipmentChest = 721,
    EquipmentFeet = 722,
    EquipmentHands = 723,
    EquipmentHead = 724,
    EquipmentLeftHand = 725,
    EquipmentLeftHandOption = 726,
    EquipmentLegs = 727,
    EquipmentNeck = 728,
    EquipmentRightHand = 729,
    EquipmentRightHandOption = 730,
    EquipmentUse = 731,
    HudFilter = 732,
    QuickSlot1 = 733,
    QuickSlot2 = 734,
    QuickSlot3 = 735,
    QuickSlot4 = 736,
    QuickSlot5 = 737,
    QuickSlot6 = 738,
    QuickSlot7 = 739,
    QuickSlot8 = 740,
    QuickSlot9 = 741,
    TabCrafting = 742,
    TabDismantle = 743,
    Version = 744,
    WindowTitleContainer = 745,
    WindowTitleCrafting = 746,
    WindowTitleEquipment = 747,
    WindowTitleInventory = 748
}
export default UiTranslation;
