/*!
 * Copyright Unlok, Vaughn Royko 2011-2020
 * http://www.unlok.ca
 *
 * Credits & Thanks:
 * http://www.unlok.ca/credits-thanks/
 *
 * Wayward is a copyrighted and licensed work. Modification and/or distribution of any source files is prohibited. If you wish to modify the game in any way, please refer to the modding guide:
 * https://github.com/WaywardGame/types/wiki
 */
/**
 * Note: If you rename a Bindable and don't make a save conversion for it, the old binding will be lost.
 * Note: All Bindables should start with a BindableType name.
 */
declare enum Bindable {
    /**
     * Safe for `if` statements. Falsey!
     */
    None = 0,
    GameMoveDirection = 1,
    GameMoveDown = 2,
    GameMoveLeft = 3,
    GameMoveRight = 4,
    GameMoveUp = 5,
    GameMoveToTile = 6,
    GameMoveToTilePreview = 7,
    GameMoveToTileCancel = 8,
    GameFaceDirection = 9,
    GameFaceDown = 10,
    GameFaceLeft = 11,
    GameFaceRight = 12,
    GameFaceUp = 13,
    GameIdle = 14,
    GameActions = 15,
    GameItemMove = 16,
    GameItemMoveAll = 17,
    GameItemMenu = 18,
    GameItemQuickMove = 19,
    GameItemQuickMoveAll = 20,
    GameItemDrop = 21,
    GameItemDropAll = 22,
    GameItemEquipToggle = 23,
    GameItemProtectToggle = 24,
    GameHandToggleLeft = 25,
    GameHandToggleRight = 26,
    GameInspect = 27,
    GameInspectItem = 28,
    GameMoreInformation = 29,
    GameZoomIn = 30,
    GameZoomOut = 31,
    GamePause = 32,
    GameSave = 33,
    GameFullscreen = 34,
    GameScreenshotMode = 35,
    GameQuickSlotClear = 36,
    GameQuickSlot1 = 37,
    GameQuickSlot2 = 38,
    GameQuickSlot3 = 39,
    GameQuickSlot4 = 40,
    GameQuickSlot5 = 41,
    GameQuickSlot6 = 42,
    GameQuickSlot7 = 43,
    GameQuickSlot8 = 44,
    GameQuickSlot9 = 45,
    GameQuickSlotToggle1 = 46,
    GameQuickSlotToggle2 = 47,
    GameQuickSlotToggle3 = 48,
    GameQuickSlotToggle4 = 49,
    GameQuickSlotToggle5 = 50,
    GameQuickSlotToggle6 = 51,
    GameQuickSlotToggle7 = 52,
    GameQuickSlotToggle8 = 53,
    GameQuickSlotToggle9 = 54,
    GameContextMenu1 = 55,
    GameContextMenu2 = 56,
    GameContextMenu3 = 57,
    GameContextMenu4 = 58,
    GameContextMenu5 = 59,
    GameContextMenu6 = 60,
    GameContextMenu7 = 61,
    GameContextMenu8 = 62,
    GameContextMenu9 = 63,
    GameContextMenu10 = 64,
    GameContextMenu11 = 65,
    GameContextMenu12 = 66,
    GameContextMenu13 = 67,
    GameContextMenu14 = 68,
    GameContextMenu15 = 69,
    GameContextMenu16 = 70,
    GameContextMenu17 = 71,
    GameContextMenu18 = 72,
    GameContextMenu19 = 73,
    GameContextMenu20 = 74,
    GameContextMenu21 = 75,
    GameContextMenu22 = 76,
    GameContextMenu23 = 77,
    GameContextMenu24 = 78,
    DialogCloseAll = 79,
    DialogOptions = 80,
    DialogHelp = 81,
    DialogMilestones = 82,
    DialogNotes = 83,
    DialogMessages = 84,
    DialogMessagesChatFocus = 85,
    DialogInventory = 86,
    DialogCrafting = 87,
    DialogDismantle = 88,
    DialogEquipment = 89,
    DialogSkills = 90,
    DialogQuests = 91,
    MenuEnter = 92,
    MenuNext = 93,
    MenuPrevious = 94,
    MenuUp = 95,
    MenuDown = 96,
    MenuLeft = 97,
    MenuRight = 98,
    MenuCancel = 99,
    MenuNextOption = 100,
    MenuPreviousOption = 101,
    MenuContextMenu = 102,
    MenuSelect = 103,
    DeveloperToggleDeveloperMode = 104,
    DeveloperToggleDeveloperTools = 105,
    DeveloperReloadGame = 106,
    DeveloperReloadAndContinueGame = 107,
    DeveloperReloadStylesheets = 108
}
export default Bindable;
export declare enum BindableType {
    Game = 0,
    Dialog = 1,
    Menu = 2,
    Developer = 3,
    Mod = 4
}
